Add points in python

Hello,
I am failing to add points. I know i need to match the data somehow or deconstruct the points, but I’m drawing a blank.
I am using GH Python.

import rhinoscriptsyntax as rs

a = []
pt = x

print pt
print pt2

def recursiveCircle(pt, r, num):

        circle = rs.AddCircle(pt, r)
        a.append(circle)
        ptA = rs.PointCoordinates(pt)
        print ptA
        
        if (num > 1):
            num = num -1
            
            recursiveCircle(pt + [0,0,2] , r * fact, num)  #i know this list is the wrong data type
        

recursiveCircle(pt, r, num)

recrusion fail.gh (9.7 KB)

Did you get your question answered in another thread?

Thank you Dale,

Yes, I realized I can just import rhino.geometry and use ‘rg.point3D’.

Thank you,
Erik